---
sidebar_label: CommonEventEmitter
---

# CommonEventEmitter interface

#### Signature:

```typescript
export interface CommonEventEmitter<Events extends Record<EventType, unknown>>
```

## Methods

| Method                                                                            | Description |
| --------------------------------------------------------------------------------- | ----------- |
| [addListener(type, handler)](./puppeteer.commoneventemitter.addlistener.md)       |             |
| [emit(type, event)](./puppeteer.commoneventemitter.emit.md)                       |             |
| [listenerCount(event)](./puppeteer.commoneventemitter.listenercount.md)           |             |
| [off(type, handler)](./puppeteer.commoneventemitter.off.md)                       |             |
| [on(type, handler)](./puppeteer.commoneventemitter.on.md)                         |             |
| [once(type, handler)](./puppeteer.commoneventemitter.once.md)                     |             |
| [removeAllListeners(event)](./puppeteer.commoneventemitter.removealllisteners.md) |             |
| [removeListener(type, handler)](./puppeteer.commoneventemitter.removelistener.md) |             |
